Package org.eclipse.gef.palette

# Interface PaletteListener

All Superinterfaces:
  `EventListener`

public interface PaletteListener extends EventListener
Listens to changes in the palette.

## Method Summary

Modifier and Type
Method
Description
`void`
`activeToolChanged(PaletteViewer palette, ToolEntry tool)`
A new tool was activated in the palette.

## Method Details

### activeToolChanged

void activeToolChanged(PaletteViewer palette, ToolEntry tool)
A new tool was activated in the palette.

Parameters:
  `palette` - the source of the change
  `tool` - the new tool that was activated